using Lada.Framework.Data.Domains.Categories;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Lada.Framework.Data.Mappings.EntityMappings.Categories
{
    public class LocationLibMap : IEntityMappingConfiguration<LocationLib>
    {
        public void Map(EntityTypeBuilder<LocationLib> builder)
        {
            builder.HasKey(a => a.Id);
            builder.Property(o => o.Id).HasDefaultValueSql("NEWID()");
            builder.ToTable("LocationLib");
        }
    }
}
